@prefix o-owl-re: <http://tpl.ottr.xyz/owl/restriction/0.1/> .
@prefix ottr:     <http://ns.ottr.xyz/0.4/> .
@prefix owl:      <http://www.w3.org/2002/07/owl#> .
@prefix rdf:      <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .

o-owl-re:ObjectAllValuesFrom
        rdf:type         ottr:Template ;
        ottr:parameters  ( [ ottr:type      ottr:IRI ;
                             ottr:variable  _:b0
                           ]
                           [ ottr:type      owl:ObjectProperty ;
                             ottr:variable  _:b1
                           ]
                           [ ottr:type      owl:Class ;
                             ottr:variable  _:b2
                           ]
                         ) ;
        ottr:pattern     [ ottr:of      o-owl-re:AllValuesFrom ;
                           ottr:values  ( _:b0
                                          _:b1
                                          _:b2
                                        )
                         ] ;
        ottr:pattern     [ ottr:of      <http://tpl.ottr.xyz/rdf/0.1/Type> ;
                           ottr:values  ( _:b2
                                          owl:Class
                                        )
                         ] ;
        ottr:pattern     [ ottr:of      <http://tpl.ottr.xyz/rdf/0.1/Type> ;
                           ottr:values  ( _:b1
                                          owl:ObjectProperty
                                        )
                         ] .
